Advanced DC/OS Installation fails for >= 1.8.3

Description

When following the Advanced DC/OS Installation Guide, installation fails when setting up the bootstrap node using the dcos_generate_config.sh script.

The script is checking for the existence of ip-detect and falsely asserts that the script doesn't exist even when it does.

The installation works when installing up to version 1.8.2.

When installing version 1.8.3, it fails with:

With 1.8.4 to 1.8.6, it fails with:

Assignee

Jeremy Lingmann

Labels

None